<!--
Diese Präsentation kann unter 
https://pad.finf.uni-hannover.de/p/rust-workshop-2018
gefunden werden.

Um die Beispiele auszuführen, bitte folgendes eingeben:
	cargo run --example [example_name]

Um eine Liste aller Beispiele zu bekommen, einfach
	ls examples
ausführen, und die .rs Dateiendung entfernen.

Also zum Beispiel:
	cargo run --example hello_world 
-->


01.10.2018, Andre Julius
julius@finf.uni-hannover.de

---

## rustup
* rust update tool
* rust toolchain

---

## cargo
* cargo init
* cargo.toml

---

## common programming concepts
* variables and mutability
* data types
* functions
* comments
* control flow

---

## ownership
* what is ownership
* references & borrowing
* slices

---

## structs
* defining and instantiating
* method syntax

---

## enums, pattern matching
* defining an enum
* `match`
* `if let`

---

## modules
* `mod` and the filesystem
* controlling visibility with `pub`
* refering to differnt names in different files

---

## common collections
* vectors
* strings
* hash maps

---

## error handling
* unrecoverable errors with `panic!()`
* recoverable errors with `Result`
* when to panic

---

## concurrency
* threads
* message passing
* shared state

---

## Further reading: 
https://doc.rust-lang.org
https://doc.rust-lang.org/rust-by-example/index.html
