use super::book::Book;
pub mod hund;



#[derive(Debug)]
pub struct Library {
    books: Vec<Book>
}

impl Library {
    pub fn new() -> Self {
        Self {
            books: vec!(),
        }
    }

    pub fn add(&mut self, book: Book) {
        self.books.push(book);
    }

    pub fn books(&self) -> &Vec<Book> {
        &self.books
    }
}