
#[derive(Debug)]
struct User {
    username: String,
    email: String,
    sign_in_count: u64,
    active: bool,
}

fn main() {
    let user1: User = User {
        username: "John Doe".to_string(),
        email: "john.doe@fachr.at".to_string(),
        sign_in_count: 20,
        active: true,
    };

    let mail = user1.email.clone();

    let mut user2 = User {
        email: String::from("someone@example.com"),
        username: String::from("someusername123"),
        active: true,
        sign_in_count: 2,
    };

    user2.email = String::from("anotheremail@example.com");

    println!("user1: {:?}, \nhis mail: {:?}", user1, mail);
    println!("user2: {:?}, \nhis mail: {:?}", user2, user2.email);
}