fn main() {
    //
    // vectors
    // 
    let mut v1: Vec<i32> = Vec::new();
    println!("v1: {:?}", v1);

    v1.push(1);
    v1.push(1);
    v1.push(2);
    v1.push(3);
    v1.push(5);
    v1.push(8);
    v1.push(13);
    println!("v1: {:?}", v1);

    let a = v1[2];
    let b = v1.get(4);
    println!("a: {:?}", a);
    println!("b: {:?}", b);

    match b {
        Some(5) => {
            println!(">>>>5<<<<");
        },
        Some(e) => {
            println!("I have some value: {:?}", e);
        },
        None => {
            println!("I do NOT have a value :(");
        }
    }

    let x = &v1[..];

    println!("Sliced vector: {:?}", x);

    //
    // strings
    //
    
    let mut string = String::from("Hello");
    let slice = &string[..];

    println!("This string says: {:?}", string);
    println!("This slice says: {:?}", slice);

}